<?

header("Cache-Control: no-cache"); 
if ($ver=="wml")header ("Content-type:text/vnd.wap.wml; charset=utf-8");
else header("Content-Type:text/html; charset=UTF-8");

require("inc.php");
$link = connect_db();    
list($row, $id, $ps, $fsize1, $fsize2) = check_login($link);
require("version.php");

ob_start();
if ($ver=="wml"){
echo $xml;
echo $dtd;
echo "<wml>\n";
echo "<head><meta http-equiv=\"Cache-Control\" content=\"no-cache\" forua=\"true\"/></head>\n";
echo "<card id=\"stop\" title=\"Внимание!\">\n";
echo "<p align =\"center\">\n";
}else{
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
echo "<title>Внимание!</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div align=\"center\">";
}
echo $fsize1;
echo "<b>Внимание!</b><br/>\n"; 
echo "Сейчас вы попадете в сортир.<br/>\n"; 
echo "Модеры в сортире абсолютно бессильны и лишены возможности пинать и банить.<br/>\n";  
echo "И за весь происходящий здесь беспредел администрация чата никакой ответственности не несет.<br/>\n"; 
echo "Людям со слабыми нервами и тонкой душевной организацией заходить в сортир настоятельно не рекомендуется.<br/>\n";
echo "<a href=\"chat.php?$ses&amp;rm=$rm&amp;ref=$ref\">Войти</a><br/>\n";
echo "или<br/>\n";
echo "<a href=\"enter.php?$ses&amp;ref=$ref\">Прихожая</a>\n";
echo $fsize2;
if ($ver=="wml")echo "</p></card></wml>";
else echo "</div></body></html>";
$alltraf=$row["alltraf"];
$pagesize=round((ob_get_length())/1024,1);
$alltraf=$alltraf+$pagesize;
mysql_query ("Update users set alltraf='".$alltraf."', lasttraf='".$pagesize."' where id='".$id."'");
mysql_close ($link);
ob_end_flush(); 
?>